Author Topic: How would you array this horizotally  (Read 7544 times)

0 Members and 1 Guest are viewing this topic.

daron

  • Guest
Re: How would you array this horizotally
« Reply #30 on: May 16, 2008, 04:28:58 PM »
For starters:
(defun c:... (/ ... angle ...)) You shouldn't use angle as a variable as it is a predefined function.
Is this pseudocode? (setq width bottom 2.00 (is adjustable up to 2.375) would throw many errors not to mention it lacks parenthesis matching.

You need to have your variables connected as one word as something like (setq width bottom) would set width to bottom which at this point is undefined and would return nil as would (width top) (rightangle brick) etc.

Why are you forcing orthomode? Why are you not getting the current sysvars so you can return the users program back to what they're used to. I would print this code out, fold it into a plane or a ninja star and throw it at you if I had to use it because of the fact that you aren't playing nice with my settings.

BTW, what's with the prognappload? What is that?

Other than that, it looks like you're going in a direction, but I thought you originally had more info than this and what you had before was a good start, it just needed to be cleaned up and expounded upon.

daron

  • Guest
Re: How would you array this horizotally
« Reply #31 on: May 16, 2008, 04:54:30 PM »
Brad, I hope you don't take the previous post as harsh. I intend it only as constructive criticism.

One Shot

  • Guest
Re: How would you array this horizotally
« Reply #32 on: May 16, 2008, 05:37:42 PM »
Brad, I hope you don't take the previous post as harsh. I intend it only as constructive criticism.

Not at all!  I know I have a lot to learn. 

daron

  • Guest
Re: How would you array this horizotally
« Reply #33 on: May 17, 2008, 11:20:57 AM »
Brad, I hope you don't take the previous post as harsh. I intend it only as constructive criticism.

Not at all!  I know I have a lot to learn. 
Me too.

One Shot

  • Guest
Re: How would you array this horizotally
« Reply #34 on: May 20, 2008, 01:59:18 PM »
Brad, I hope you don't take the previous post as harsh. I intend it only as constructive criticism.

Not at all!  I know I have a lot to learn. 
Me too.
Daron, you asked what prognappload was?  It was a typo.  I must have typed it in when I was thinking I was in AutoCAD.   I am trying to figure out how to create the bricks to adjust width to corrisponde to the width of the opening. Along to have the angle to adjust.  See the attachment  4 Course Jackarch Sample.dwg.



Thank you,

brad

daron

  • Guest
Re: How would you array this horizotally
« Reply #35 on: May 20, 2008, 03:00:26 PM »
Daron, you asked what prognappload was?  It was a typo. 

I figured.

I am trying to figure out how to create the bricks to adjust width to corrisponde to the width of the opening. Along to have the angle to adjust.  See the attachment  4 Course Jackarch Sample.dwg.
I think you're starting at the wrong end, but that's just my opinion.
What you need is the width of the opening, the distance from the edge on the lower portion, and the angle both ways on the top and the height for the top. It'll take a little trig to figure it out, but I believe I posted a function that does it when you first asked about it. I could be wrong. As for all the difference in the width of each piece, you need to think about max and min width and then divide the length of the popout to determine how many bricks will be needed. You'd also need to consider the hypotenuse of one brick in order to get an accurate length as long as there are no differences in their angles. Also, you'll need to use your limit of brick size in order to come up with a whole number for the division or that the remainder ends up within your limit. Sounds complicated. I think it is. Take it one step at a time and don't start with the most difficult action to perform. Get the basic points for an outline, then work on building into it.

deegeecees

  • Guest
Re: How would you array this horizotally
« Reply #36 on: May 20, 2008, 03:15:41 PM »
I believe that studying the supplied Adesk tutorial "The Garden Path" would enlighten the O.P. here, no?

One Shot

  • Guest
Re: How would you array this horizotally
« Reply #37 on: May 20, 2008, 03:21:14 PM »
I believe that studying the supplied Adesk tutorial "The Garden Path" would enlighten the O.P. here, no?

Please explain!

deegeecees

  • Guest
Re: How would you array this horizotally
« Reply #38 on: May 20, 2008, 03:29:33 PM »
AutoCad comes with (used to anyway) a tutorial called "The Garden Path" that parallels what you are trying to do. It could give you some greater understanding of the how/what/why in Lisp. They also have it in a VBA tutorial. If you can't locate it locally try punching it in to your favorite search engine.

One Shot

  • Guest
Re: How would you array this horizotally
« Reply #39 on: May 20, 2008, 03:34:15 PM »
AutoCad comes with (used to anyway) a tutorial called "The Garden Path" that parallels what you are trying to do. It could give you some greater understanding of the how/what/why in Lisp. They also have it in a VBA tutorial. If you can't locate it locally try punching it in to your favorite search engine.

Okay,  Thank you very much!

Brad

daron

  • Guest
Re: How would you array this horizotally
« Reply #40 on: May 20, 2008, 04:19:43 PM »
Actually, it is still there and it's improved to work with reactions, which could be the direction this could go.